### File

`packages/core/src/lib/components/euim-multiselect/euim-multiselect-all/euim-multiselect-all.directive.ts`

### Metadata

Selector | `[euimMultiselectAll]`
Standalone | `true`

### Index

###### Properties

- className

###### Methods

- onIonChange

###### HostBindings

- checked
- class
- indeterminate

###### HostListeners

- ionChange

###### Accessors

- indeterminate
- checked

### Constructor

`constructor(euimMulti: EuimMultiselectComponent)`

Parameters :

Name | Type | Optional
euimMulti | `EuimMultiselectComponent` | No

### HostBindings

checked
Type : `boolean`

class
Type : `string`
Default value : `'euim-multiselect__all'`

indeterminate
Type : `boolean`

### HostListeners

ionChange
Arguments : `'$event'`

### Methods

onIonChange
`onIonChange(event: CustomEvent)`
Decorators : `@HostListener('ionChange', ['$event'])`

Parameters :

Name | Type | Optional
event | `CustomEvent` | No

Returns : `void`

### Properties

className
Type : `string`
Default value : `'euim-multiselect__all'`
Decorators : `@HostBinding('class')`

### Accessors

indeterminate
get `indeterminate()`

checked
get `checked()`

# results matching ""

# No results matching ""